#include <gnome.h>

#ifndef INKBLOT_H
#define INKBLOT_H

#define INKBLOT_PORT_KEY "/apps/inkblot/port"
#define INKBLOT_BUS_KEY "/apps/inkblot/bus"
#define INKBLOT_CONFIG_KEY "/apps/inkblot/first-run"

typedef enum {
	INKBLOT_ERROR_OK,
	INKBLOT_ERROR_NO_PRINTER
} InkblotError;

typedef enum {
	INKBLOT_OK,
	INKBLOT_WARN,
	INKBLOT_LOW,
	INKBLOT_EMPTY,
	INKBLOT_ERROR,
	INKBLOT_QUERY
} InkblotStatus;

typedef struct {
	gchar *model;
	gint bus;
	gint port;
	gint type;
} InkblotPrinter;

GdkPixbuf*	inkblot_tray_icon_display ( InkblotStatus );
gboolean 	inkblot_check_status_event ( gpointer );
void 		inkblot_dialog_response (GtkWidget *, gint, gpointer);
gint 		inkblot_scan_devices ( void );
InkblotStatus 	inkblot_get_overall_status ( void );
void 		inkblot_tray_icon_clicked ( GtkWidget *, GdkEventButton *, 
					    gpointer );
void 		inkblot_toggle_dialog ( void );
static gint 	inkblot_save_session (GnomeClient *, gint, GnomeRestartStyle, 
				      gint, GnomeInteractStyle,gint,gpointer);
gint		inkblot_error_dialog (InkblotError);


GList *printers;
guint timer_id;
gint visible;
GtkImage *image;
GtkWidget *icon_pix;
InkblotStatus state;

#endif
